/*    puttystart.h
 *
 * PuTTY startup application
 *
 * Copyright 2002 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#ifndef __PUTTYSTART_H__
#define __PUTTYSTART_H__

#include <coeccntx.h>

#include <eikenv.h>
#include <eikappui.h>
#include <eikapp.h>
#include <eikdoc.h>
#include <eikmenup.h>

#include <eikon.hrh>

#include <putty.rsg>
#include "puttystart.hrh"


class CPuttyStartAppView;


// Application
class CPuttyStartApplication : public CEikApplication {
    
private:
    CApaDocument* CreateDocumentL();
    TUid AppDllUid() const;
};


// Document
class CPuttyStartDocument : public CEikDocument {
    
public:
    CPuttyStartDocument(CEikApplication &anApp);
private: 
    CEikAppUi* CreateAppUiL();
};


// AppUI
class CPuttyStartAppUi : public CEikAppUi {
    
public:
    void ConstructL();
    CPuttyStartAppUi();
    ~CPuttyStartAppUi();

private:
    void HandleCommandL(TInt aCommand);
    TBool CPuttyStartAppUi::RaiseUiL();

private:
    CPuttyStartAppView *iAppView;
};


// View
class CPuttyStartAppView : public CCoeControl {
    
public:
    CPuttyStartAppView();
    ~CPuttyStartAppView();
    void ConstructL(const TRect& aRect);

private:
    void Draw(const TRect &aRect) const;
};


#endif
